<div class="content-wrapper">
  <style>
  /* The Modal (background) */
  .modal {
    display: none; /* Hidden by default */
    position: fixed; /* Stay in place */
    z-index: 1; /* Sit on top */
    padding-top: 100px; /* Location of the box */
    left: 0;
    top: 0;
    width: 100%; /* Full width */
    height: 100%; /* Full height */
    overflow: auto; /* Enable scroll if needed */
    background-color: rgb(0,0,0); /* Fallback color */
    background-color: rgba(0,0,0,0.4); /* Black w/ opacity */
  }
  .modal-content {
      position: relative;
      background-color: #E3F2FD;
      margin: auto;
      padding: 0;
      border: 1px solid #888;
      width: 80%;
      box-shadow: 0 4px 8px 0 rgba(0,0,0,0.2),0 6px 20px 0 rgba(0,0,0,0.19);
      -webkit-animation-name: animatetop;
      -webkit-animation-duration: 0.4s;
      animation-name: animatetop;
      animation-duration: 0.4s
  }

  /* Add Animation */
  @-webkit-keyframes animatetop {
      from {top:-300px; opacity:0}
      to {top:0; opacity:1}
  }

  @keyframes animatetop {
      from {top:-300px; opacity:0}
      to {top:0; opacity:1}
  }

  /* The Close Button */
  .close {
      color: white;
      float: right;
      font-size: 28px;
      font-weight: bold;
  }

  .close:hover,
  .close:focus {
      color: #000;
      text-decoration: none;
      cursor: pointer;
  }

  .modal-header {
      padding: 2px 16px;
      background-color: #90CAF9;
      color: white;
  }

  .modal-body {padding: 2px 16px;}

  </style>

  <!-- Content Header (Page header) -->
  <section class="content-header">
    <ol class="breadcrumb">
      <li><a href="/"><i class="fa fa-dashboard"></i>Home</a></li>
      <li class="active">planos</li>
    </ol>
  </section>

  <!-- Main content -->
  <section class="content">

    <div class="row">
      <section class="col-lg-12 connectedSortable">
        <table class="table table-hover">
          <thead>
            <tr>
              <% if @admin %>
              <th>Academia</th>
              <% end %>
              <th>Plano</th>
              <th>Preço</th>
              <th colspan="3"></th>
            </tr>
          </thead>

          <tbody>
            <% @plan_clients.each do |plan_client| %>
              <tr onclick="getServicos(<%=plan_client.id%>)">
                <% if @admin %>
                <td><%= plan_client.gym.name %></td>
                <% end %>
                <td><%= plan_client.name %></td>
                <td><%= plan_client.price %></td>
                <% if @manager %>
                <td><%= link_to 'Excluir', plan_client, method: :delete, data: { confirm: 'Are you sure?' } %></td>
                <% end %>
              </tr>
            <% end %>
          </tbody>
        </table>
      </section>
    </div>

    <% if @manager %>
      <div class="row">
        <div class="col-lg-offset-5 col-lg-2">
          <a href="/plan_clients/new" class="btn btn-primary" role="button">Novo plano</a>
        </div>
      </div>
    <% end %>
  </section>

  <!-- The Modal -->
  <div id="myModal" class="modal">
    <!-- Modal content -->
    <div class="modal-content">
      <div class="modal-header">
        <span class="close">&times;</span>
        <h4>Serviços</h4>
      </div>
      <div class="modal-body">
        <p id="text"></p>
      </div>
    </div>

  </div>

</div>
</div>
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>
<script>
    function getServicos(id){
          $.ajax({
           type: "GET",
           url: "plan_clients/" + id,
           statusCode: {
             200: function(data) {
               openModal(data.message.service,data.message.price);
             }
            }
           });
        }

    function openModal(service,value){
      // Get the modal
      var modal = document.getElementById('myModal');
      console.log(modal.style);
      modal.style.display = "block";

      // Get the <span> element that closes the modal
      var span = document.getElementsByClassName("close")[0];

      // When the user clicks on <span> (x), close the modal
      span.onclick = function() {
          modal.style.display = "none";
      }

      // When the user clicks anywhere outside of the modal, close it
      window.onclick = function(event) {
          if (event.target == modal) {
              modal.style.display = "none";
          }
      }

      var text = "";
      for (i = 0; i < service.length; i++) {
          text += "<h5>" + service[i] + " (" + value[i] + "R$) </h5>";
      }

      document.getElementById("text").innerHTML = text;

    }


</script>
